# Studying the Bellman scripting

# scripts

### T_ScNews_Bellman_Add
- Started in dialogue results and then a number is set. `StartScript T_ScNews_Bellman_Add\r\nSet T_ScNews_Bellman_Add.number to 22` Then this script does something, then it stops after a frame.

### T_ScNews_Bellman_Remove
- Started in dialogue results and then a number is set `StartScript T_ScNews_Bellman_Remove\r\nSet T_ScNews_Bellman_Remove.number to 37` Then this script does something, then it stops after a frame.

### T_ScNews_Bellman_Lvlist_Add
- Started by `T_ScNews_Bellman_Add`
- 🟦 This may be nice-to-have

### T_ScNews_Bellman_Lvlist_Remove
- Started by `T_ScNews_Bellman_Remove`
- 🟦 This may be nice-to-have

### T_ScNews_Bellman_Paper
- Script for every one of 48 titled newspaper items.
- 🟩 This script can be 100% reused in other newspapers

### T_ScNews_Bellman_Picker1
- Started by `T_ScNews_Bellman_Spawner_` scripts
- 🟥 Edits levelled lists

### T_ScNews_Bellman_Picker2
- Started by `T_ScNews_Bellman_Spawner_` scripts
- 🟥 Edits levelled lists

### T_ScNews_Bellman_Spawner_Allw
- Script for the allw spawner item.
- Runs picker scripts
- 🟥 Needs a dedicated newspaper version due to it containing item IDs

### T_ScNews_Bellman_Spawner_Freq
- Script for the freq spawner item.
- Runs picker scripts
- 🟥 Needs a dedicated newspaper version due to it containing item IDs

### T_ScNews_Bellman_Spawner_Rare
- Script for the rare spawner item.
- Runs picker scripts
- 🟥 Needs a dedicated newspaper version due to it containing item IDs

```plantuml
@startuml
(T_ScNews_Bellman_Add)
(T_ScNews_Bellman_Lvlist_Add)
(T_ScNews_Bellman_Lvlist_Remove)
(T_ScNews_Bellman_Paper)
(T_ScNews_Bellman_Picker1)
(T_ScNews_Bellman_Picker2)
(T_ScNews_Bellman_Remove)
(T_ScNews_Bellman_Spawner_Allw)
(T_ScNews_Bellman_Spawner_Freq)
(T_ScNews_Bellman_Spawner_Rare)


(T_ScNews_Bellman_Add) --> (T_ScNews_Bellman_Lvlist_Add)
(T_ScNews_Bellman_Remove) --> (T_ScNews_Bellman_Lvlist_Remove)

(T_ScNews_Bellman_Spawner_Allw) --> (T_ScNews_Bellman_Picker1)
(T_ScNews_Bellman_Spawner_Freq) --> (T_ScNews_Bellman_Picker1)
(T_ScNews_Bellman_Spawner_Rare) --> (T_ScNews_Bellman_Picker1)
(T_ScNews_Bellman_Spawner_Allw) --> (T_ScNews_Bellman_Picker2)
(T_ScNews_Bellman_Spawner_Freq) --> (T_ScNews_Bellman_Picker2)
(T_ScNews_Bellman_Spawner_Rare) --> (T_ScNews_Bellman_Picker2)

[dialogue] --> (T_ScNews_Bellman_Add)
[dialogue] --> (T_ScNews_Bellman_Remove)

[titled items] --> (T_ScNews_Bellman_Paper)

[spawner items] --> (T_ScNews_Bellman_Spawner_Allw)
[spawner items] --> (T_ScNews_Bellman_Spawner_Freq)
[spawner items] --> (T_ScNews_Bellman_Spawner_Rare)
@enduml
```

## Global variables

### T_Glob_News_Bellman_Pick1
- short
- init value 0

### T_Glob_News_Bellman_Pick2
- short
- init value 0


### T_Glob_News_Bellman_Tracker1
- long
- init value 263807
  - binary 00000000000001000000011001111111

so enabled by default are:
| xx | xx | xx | xx | xx | xx | xx | xx | 0  |  0 |  0 |  0 |  0 |  1 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  1 |  1 |  0 |  0 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |
| -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- |
| xx | xx | xx | xx | xx | xx | xx | xx | 24 | 23 | 22 | 21 | 20 | 19 | 18 | 17 | 16 | 15 | 14 | 13 | 12 | 11 | 10 |  9 |  8 |  7 |  6 |  5 |  4 |  3 |  2 |  1 |

- 19 eec icy investments
- 11 magical breakthrough tahriel
- 10 tournament
- 7  ebony exports
- 6  ebonheart taverns
- 5  argonian emissary
- 4  war tax
- 3  unrest cyrodiil
- 2  soulrest rebels
- 1  helseth ascends the throne


### T_Glob_News_Bellman_Tracker2
- long
- init value 5136
  - binary 00000000000000000001010000010000

| xx | xx | xx | xx | xx | xx | xx | xx |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  1 |  0 |  1 |  0 |  0 |  0 |  0 |  0 |  1 |  0 |  0 |  0 |  0 |
| -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- |
| xx | xx | xx | xx | xx | xx | xx | xx | 48 | 47 | 46 | 45 | 44 | 43 | 42 | 41 | 40 | 39 | 38 | 37 | 36 | 35 | 34 | 33 | 32 | 31 | 30 | 29 | 28 | 27 | 26 | 25 |

- 37 OE trendsetter
- 35 treasures stolen
- 29 vvardenfell crime


# Implementing the Monitor

## TD_monitor_texts_xx.ESP scope

To be merged into Tamriel Data.

| ID | title | abbreviated item name | did I change anything? | Availability? |
| -- | -- | -- | -- | -- |
| `T_News_AbMonitor_01` | NAVY PATROL ATTACKED, CAPTAIN KILLED | NAVY PATROL ATTACKED | ship names in quotes | always |
| `T_News_AbMonitor_02` | GOLD ROAD TO UNDERGO REPAIRS | GOLD ROAD TO UNDERGO REPAIRS | "Legion crews" -> "Legion-supervised crews" because in CS not all workers are legion | always |
| `T_News_AbMonitor_03` | SMUGGLERS RETURN TO THE NEAR ABECEAN | NEAR ABECEAN SMUGGLING REBOUND | "Miledorus"->"Tiledorus". I also don't like the abbreviated title. | always |
| `T_News_AbMonitor_04` | BRUSH FIRE BURNS ACRES OF GOLD COAST | BRUSH FIRES ALONG GOLD ROAD |  | always |
| `T_News_AbMonitor_05` | VALENWOOD CITY PETITIONS FOR ROYAL AID | VALENWOOD CITY SEEKS AID | "Petty Strid"->"Naharine River", "St. Naharine Sailor’s Home"->"Saint Naharine Sailors' Home" | always |
| `T_News_AbMonitor_06` | IMPERIAL PRINCE TO VISIT ANVIL | IMPERIAL PRINCE TO VISIT ANVIL |  | To be disabled when Enman leaves |
| `T_News_AbMonitor_07` | HADRACHS TO SIT OUT NEXT ELECTION | HADRACHS TO MISS NEXT ELECTION |  | always |
| `T_News_AbMonitor_08` | FORT HEATH IRON MINE PRODUCTION SLOWS | FORT HEATH MINE OUTPUT SLOWS | Sentence was removed due to Fort Heath questline cut for now. | always |
| `T_News_AbMonitor_09` | SOULREST VETERANS RETURN TO ANVIL | SOULREST VETERANS RETURN |  | always |
| `T_News_AbMonitor_10` | BRINA CROSS MERCHANT SLAIN | BRINA CROSS MERCHANT SLAIN | "Nerillius"->"Nerilius" | To be disabled when 13 enabled |
| `T_News_AbMonitor_11` | MERCHANTS SEEK FUNDS FOR AKAVIR TRADE MISSION | MERCHANTS TO SAIL FOR AKAVIR? |  | always |
| `T_News_AbMonitor_12` | EDITORIAL: THE COSTS OF DARK ELF SLAVERY | EDITORIAL: DARK ELF SLAVERY |  | always |
| `T_News_AbMonitor_13` | INVESTIGATIONS IN THE KIMOI CASE REACH A DEAD END | KIMOI CASE REACHED DEAD END |  | After *Murder on the Crossroads* |
| `T_News_AbMonitor_14` | LOCAL BUSINESSMAN ARRESTED ON TREASON CHARGES | LOCAL BUSINESSMAN ARRESTED | Nothing, but that text is WIP and most likely to change | 🟩To be disabled when 15 enabled |
| `T_News_AbMonitor_15` | LOCAL BUSINESSMAN EXONERATED OF TREASON CHARGES | LOCAL BUSINESSMAN EXONERATED | TODO, as no text right now. | 🟩After *Improbable Cause* |
| `T_News_AbMonitor_16` | GEOGRAPHICAL SOCIETY CALLS FOR TRAVELERS' TALES | NEW POCKET GUIDE TO THE EMPIRE | I don't like the abbreviated title. Also: 2E or 3E? "Quest" says 2E. I haven't changed it yet. | always |
| `T_News_AbMonitor_17` | ARCHAEOLOGICAL SOCIETY PLUMBS NEW DEPTHS IN GARLAS AGEA | NEW DEPTHS IN GARLAS AGEA | TODO, as no text right now. | After *Into Ugly Obscurity* |
| `T_News_AbMonitor_18` | MASQUED CAPTAIN APPREHENDED | MASQUED CAPTAIN APPREHENDED | TODO, as no text right now. | After imprisoning the Masqued Captain |
| `T_News_AbMonitor_19` | MASQUED CAPTAIN ESCAPES CUSTODY | MASQUED CAPTAIN ESCAPES CUSTODY | TODO, as no text right now. | After the Masqued Captain escapes |
| `T_News_AbMonitor_20` | ABECEAN TRADING CO. ACQUIRES WHITE SCARAB CO. IN TITANIC ANNEXATION | WHITE SCARAB COMPANY ANNEXED | TODO, as no text right now. | After *Kingdom of Anvil: Mergers and Acquisitions* when acquisition is made |

### Newspaper formatting notes
- add `<BR>` at the end or the last paragraph disappears
- Replace quote symbols with `"` or `'`
- Ship names inside `'` -- example: TEM 'Brinerunner'

### TODO, i.e. articles not put into items yet

- Editorial: Questions Surround Sutch King’s Death -- I'm not sure this is up-to-date on current Sutch design
- Trade Ship Lost in Audacious Naval Attack -- Is this for *Kingdom of Anvil: The Marshal's Message*? "Sinking of the Abecean Trading co. vessel near Viduscan Isles due to the Navy neglegence (after the Villina Telvor's quest)."?
- Exotic Disease Outbreak in Anvil -- Is this for *Itinerant Priests: Bluepox*? "The priests of St. Rosunius discover an epidemic brought in the Shipworks building by the Navy. They stop it in a timely manner (after that Runs-Towards-Time quest)"?
- Summerset Food Imports Continue to Rise
- Dibellans in Disarray as Factionalism Grips Faith
- Editorial: Where Is the Imperial Navy? -- needed?
- Atei's satirical image - put it somewhere

## Global variables

### T_Glob_News_AbMonitor_Tracker1

| xx | xx | xx | xx | xx | xx | xx | xx | 0  |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  1 |  0 |  1 |  0 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |  1 |
| -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- |
| xx | xx | xx | xx | xx | xx | xx | xx | 24 | 23 | 22 | 21 | 20 | 19 | 18 | 17 | 16 | 15 | 14 | 13 | 12 | 11 | 10 |  9 |  8 |  7 |  6 |  5 |  4 |  3 |  2 |  1 |

- Assuming bits1 to 12 are on: 4095 is the value
- Assuming bits1 to 12 + bit 14 + bit 16 are on: 45055 is the value

### T_Glob_News_AbMonitor_Tracker2

| xx | xx | xx | xx | xx | xx | xx | xx |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |  0 |
| -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- | -- |
| xx | xx | xx | xx | xx | xx | xx | xx | 48 | 47 | 46 | 45 | 44 | 43 | 42 | 41 | 40 | 39 | 38 | 37 | 36 | 35 | 34 | 33 | 32 | 31 | 30 | 29 | 28 | 27 | 26 | 25 |

## PC_monitorArticlesReactivity_xx.ESP

To be merged into Cyr_Main

### article 14 & 15
- `PC_q2_Anv_ImpCause` journal entries set to 30 or 35 -- when that happens, the `PC_q2_Anv_ImpCause_Clean_sc` script is run. I'll try setting the bits adding newspaper 15 and removing 14 in that script instead of in every dialogue